For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AI agentsStatus PageContact sales
HomeGuidesDeveloper ToolsChangelogsCookbooks
HomeGuidesDeveloper ToolsChangelogsCookbooks
    • Payabli developer overview
    • Developer quickstart
    • Developer testing guide
    • Test accounts
  • API
    • Using the API
    • API responses
    • API changelog
            • GETGet basic paypoint details
            • GETGet basic paypoint details by ID
            • GETGet paypoint details
            • GETGet paypoint settings
            • PUTUpload logo
            • GETList paypoints by organization
            • GETExport paypoints by organization
            • POSTMigrate paypoint
          • GETGet stats for an org or paypoint
    • Webhooks
  • Embedded Components
    • Overview
    • EmbeddedMethod UI
    • PayMethod UI
    • VirtualTerminal UI
    • ExpressCheckout UI
    • Changelog
  • Server SDKs
    • Server SDKs overview
  • Other tools
    • Postman collection
    • Payabli MCP
    • Example apps

© 2026 Centavo, Inc. All rights reserved | Centavo (DBA Payabli) is a registered Payment Facilitator of PNC Bank, N.A., Pittsburgh, PA. Payabli is a registered ISO/MSP of Merrick Bank, South Jordan, UT.

PayabliTest Cards & AccountsPay In StatusesPay Out StatusesTrust Center
LogoLogo
AI agentsStatus PageContact sales
APIPay Ops endpointsBusiness entitiesPaypoint

Export paypoints by organization

Deprecated
|View as Markdown|Open in Claude|
GET
/Export/paypoints/:format/:orgId
GET
/api/Export/paypoints/:format/:orgId
$curl -G https://api-sandbox.payabli.com/api/Export/paypoints/csv/123 \
> -H "requestToken: <apiKey>" \
> --data-urlencode columnsExport=BatchDate:Batch_Date,PaypointName:Legal_name \
> -d fromRecord=251 \
> -d limitRecord=1000
1{
2 "key": "value"
3}
Export a list of paypoints in an organization. Use filters to limit results.
Was this page helpful?
Previous

List paypoints by organization

Next

Migrate paypoint

Authentication

requestTokenstring
API Key authentication via header

Path parameters

formatenumRequired
Format for the export, either XLSX or CSV.
Allowed values:
orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

columnsExportstringOptional
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 25000
The number of records to return for the query. The maximum is 30,000 records. When this parameter isn't sent, the API returns up to 25,000 records.
parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query. <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `createdAt` (gt, ge, lt, le, eq, ne) - `startDate` (gt, ge, lt, le, eq, ne) - `dbaname` (ct, nct) - `legalname` (ct, nct) - `ein` (ct, nct) - `address` (ct, nct) - `city` (ct, nct) - `state` (ct, nct) - `phone` (ct, nct) - `mcc` (ct, nct) - `owntype` (ct, nct) - `ownerName` (ct, nct) - `contactName` (ct, nct) - `orgParentname` (ct, nct) List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array - nin => not inside array List of parameters accepted: - limitRecord : max number of records for query (default="20", "0" or negative value for all) - fromRecord : initial record in query Example: `dbaname(ct)=hoa` returns all records with `dbaname` containing "hoa"

Response

Success

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error

Collection of field names, conditions, and values used to filter the query.

You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client.

For example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20

See Filters and Conditions Reference for help.

List of field names accepted:

  • createdAt (gt, ge, lt, le, eq, ne)
  • startDate (gt, ge, lt, le, eq, ne)
  • dbaname (ct, nct)
  • legalname (ct, nct)
  • ein (ct, nct)
  • address (ct, nct)
  • city (ct, nct)
  • state (ct, nct)
  • phone (ct, nct)
  • mcc (ct, nct)
  • owntype (ct, nct)
  • ownerName (ct, nct)
  • contactName (ct, nct)
  • orgParentname (ct, nct)

List of comparison accepted - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array
  • nin => not inside array

List of parameters accepted:

  • limitRecord : max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord : initial record in query

Example: dbaname(ct)=hoa returns all records with dbaname containing “hoa”